## ros-kinetic-rtt-control-msgs 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_control_msgs)

find_package(catkin REQUIRED COMPONENTS rtt_roscomm)

ros_generate_rtt_typekit(control_msgs)
ros_generate_rtt_service_proxies(control_msgs)

orocos_generate_package(
  DEPENDS control_msgs 
  DEPENDS_TARGETS rtt_roscomm rtt_std_msgs rtt_geometry_msgs rtt_trajectory_msgs rtt_actionlib_msgs
)

=== debian/changelog ===
ros-kinetic-rtt-control-msgs (0.1.1-0xenial) xenial; urgency=high

  * Cleanup typekits and remove unneccessary dependencies
  * Merge pull request #1 <https://github.com/orocos/rtt_ros_control/issues/1> from Timple/master
    Package does not depend on controller_manager_msgs
  * Contributors: Johannes Meyer, Jonathan Bohren, Tim Clephas

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Wed, 13 Dec 2017 23:00:00 -0000

ros-kinetic-rtt-control-msgs (0.1.0-0xenial) xenial; urgency=high

  * updating typekit cmakelists
  * Moving typekits into this repo, putting the component package in a subdir
  * Contributors: Jonathan Bohren

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Sun, 07 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rtt-control-msgs
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-rtt-actionlib-msgs, ros-kinetic-rtt-geometry-msgs, ros-kinetic-rtt-roscomm, ros-kinetic-rtt-std-msgs, ros-kinetic-rtt-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rtt-control-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-control-msgs, ros-kinetic-rtt-actionlib-msgs, ros-kinetic-rtt-geometry-msgs, ros-kinetic-rtt-roscomm, ros-kinetic-rtt-std-msgs, ros-kinetic-rtt-trajectory-msgs
Description: Provides an rtt typekit for ROS control_msgs messages.
 It allows you to use ROS messages transparently in RTT components and applications. This package was automatically generated by the create_rtt_msgs generator and should not be manually modified. See the http://ros.org/wiki/control_msgs documentation for the documentation of the ROS messages in this typekit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rtt-control-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
